import { ScanditHTMLElement } from '@scandit/web-datacapture-core/build/js/private/utils/index.js';

declare class AdaptiveRecognitionOverlay extends ScanditHTMLElement {
    static tag: "scandit-adaptive-recognition-overlay";
    private _show;
    private _pulseAnimation;
    private _borderElement;
    constructor();
    get show(): boolean;
    set show(value: boolean);
    static get observedAttributes(): string[];
    connectedCallback(): void;
    disconnectedCallback(): void;
    attributeChangedCallback(name: string, _oldValue: string | null, newValue: string | null): Promise<void>;
    static create(): AdaptiveRecognitionOverlay;
    static register(): void;
    private static createStyleElement;
}
declare global {
    interface HTMLElementTagNameMap {
        [AdaptiveRecognitionOverlay.tag]: AdaptiveRecognitionOverlay;
    }
}

export { AdaptiveRecognitionOverlay };
